Skip to main content
GET
/
v1
/
customer-credits
/
accounts
/
{id}
/
entries
List account entries
curl --request GET \
  --url https://api.creem.io/v1/customer-credits/accounts/{id}/entries \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.creem.io/v1/customer-credits/accounts/{id}/entries"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.creem.io/v1/customer-credits/accounts/{id}/entries', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "object": "list",
  "data": [
    {
      "id": "cce_abc123",
      "transaction_id": "cct_abc123",
      "account_id": "cca_abc123",
      "amount": "1000",
      "created_at": "<string>"
    }
  ],
  "has_more": true
}

Authorizations

x-api-key
string
header
required

API key for authentication. You can find your API key in the Creem dashboard under Settings > API Keys.

Path Parameters

id
string
required

Query Parameters

limit
number
default:10

Maximum number of entries to return

Required range: 1 <= x <= 100
starting_after
string

Cursor for forward pagination — entry ID to start after

ending_before
string

Cursor for backward pagination — entry ID to end before

Response

Paginated list of entries

object
string
required

Object type

Example:

"list"

data
object[]
required

Array of entries

has_more
boolean
required

Whether more items exist beyond this page